Package org.apache.storm.daemon.logviewer.webapp

## Class LogviewerResource

- java.lang.Object
- - org.apache.storm.daemon.logviewer.webapp.LogviewerResource

-     @Path("/")
      public class LogviewerResource
      extends Object

  Handles HTTP requests for Logviewer.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LogviewerResource​(LogviewerLogPageHandler logviewerParam, LogviewerProfileHandler profileHandler, LogviewerLogDownloadHandler logDownloadHandler, LogviewerLogSearchHandler logSearchHandler, IHttpCredentialsPlugin httpCredsHandler, StormMetricsRegistry metricsRegistry)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `jakarta.ws.rs.core.Response` | `daemonLog​(jakarta.servlet.http.HttpServletRequest request)` | Handles '/daemonlog' request.
    `jakarta.ws.rs.core.Response` | `deepSearch​(String topologyId, jakarta.servlet.http.HttpServletRequest request)` | Handles '/deepSearch' request.
    `jakarta.ws.rs.core.Response` | `downloadDaemonLogFile​(jakarta.servlet.http.HttpServletRequest request)` | Handles '/daemondownload' (downloading specific daemon log file) request.
    `jakarta.ws.rs.core.Response` | `downloadDumpFile​(String topologyId, String hostPort, String fileName, jakarta.servlet.http.HttpServletRequest request)` | Handles '/dumps' (downloading specific dump file) request.
    `jakarta.ws.rs.core.Response` | `downloadLogFile​(jakarta.servlet.http.HttpServletRequest request)` | Handles '/download' (downloading specific log file) request.
    `jakarta.ws.rs.core.Response` | `listDumpFiles​(String topologyId, String hostPort, jakarta.servlet.http.HttpServletRequest request)` | Handles '/dumps' (listing dump files) request.
    `jakarta.ws.rs.core.Response` | `listLogs​(jakarta.servlet.http.HttpServletRequest request)` | Handles '/listLogs' request.
    `jakarta.ws.rs.core.Response` | `log​(jakarta.servlet.http.HttpServletRequest request)` | Handles '/log' request.
    `jakarta.ws.rs.core.Response` | `search​(jakarta.servlet.http.HttpServletRequest request)` | Handles '/search' (searching from specific worker or daemon log file) request.
    `jakarta.ws.rs.core.Response` | `searchLogs​(jakarta.servlet.http.HttpServletRequest request)` | Handles '/searchLogs' request.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogviewerResource

          public LogviewerResource​(LogviewerLogPageHandler logviewerParam,
                                   LogviewerProfileHandler profileHandler,
                                   LogviewerLogDownloadHandler logDownloadHandler,
                                   LogviewerLogSearchHandler logSearchHandler,
                                   IHttpCredentialsPlugin httpCredsHandler,
                                   StormMetricsRegistry metricsRegistry)

      Constructor.
      Parameters:
        `logviewerParam` - `LogviewerLogPageHandler`
        `profileHandler` - `LogviewerProfileHandler`
        `logDownloadHandler` - `LogviewerLogDownloadHandler`
        `logSearchHandler` - `LogviewerLogSearchHandler`
        `httpCredsHandler` - `IHttpCredentialsPlugin`
        `metricsRegistry` - The metrics registry

  - ### Method Detail

    - #### log

          @GET
          @Path("/log")
          public jakarta.ws.rs.core.Response log​(@Context
                                                 jakarta.servlet.http.HttpServletRequest request)
                                          throws IOException

      Handles '/log' request.
      Throws:
        `IOException`

    - #### daemonLog

          @GET
          @Path("/daemonlog")
          public jakarta.ws.rs.core.Response daemonLog​(@Context
                                                       jakarta.servlet.http.HttpServletRequest request)
                                                throws IOException

      Handles '/daemonlog' request.
      Throws:
        `IOException`

    - #### searchLogs

          @GET
          @Path("/searchLogs")
          public jakarta.ws.rs.core.Response searchLogs​(@Context
                                                        jakarta.servlet.http.HttpServletRequest request)
                                                 throws IOException

      Handles '/searchLogs' request.
      Throws:
        `IOException`

    - #### listLogs

          @GET
          @Path("/listLogs")
          public jakarta.ws.rs.core.Response listLogs​(@Context
                                                      jakarta.servlet.http.HttpServletRequest request)
                                               throws IOException

      Handles '/listLogs' request.
      Throws:
        `IOException`

    - #### listDumpFiles

          @GET
          @Path("/dumps/{topo-id}/{host-port}")
          public jakarta.ws.rs.core.Response listDumpFiles​(@PathParam("topo-id")
                                                           String topologyId,
                                                           @PathParam("host-port")
                                                           String hostPort,
                                                           @Context
                                                           jakarta.servlet.http.HttpServletRequest request)
                                                    throws IOException

      Handles '/dumps' (listing dump files) request.
      Throws:
        `IOException`

    - #### downloadDumpFile

          @GET
          @Path("/dumps/{topo-id}/{host-port}/{filename}")
          public jakarta.ws.rs.core.Response downloadDumpFile​(@PathParam("topo-id")
                                                              String topologyId,
                                                              @PathParam("host-port")
                                                              String hostPort,
                                                              @PathParam("filename")
                                                              String fileName,
                                                              @Context
                                                              jakarta.servlet.http.HttpServletRequest request)
                                                       throws IOException

      Handles '/dumps' (downloading specific dump file) request.
      Throws:
        `IOException`

    - #### downloadLogFile

          @GET
          @Path("/download")
          public jakarta.ws.rs.core.Response downloadLogFile​(@Context
                                                             jakarta.servlet.http.HttpServletRequest request)
                                                      throws IOException

      Handles '/download' (downloading specific log file) request.
      Throws:
        `IOException`

    - #### downloadDaemonLogFile

          @GET
          @Path("/daemondownload")
          public jakarta.ws.rs.core.Response downloadDaemonLogFile​(@Context
                                                                   jakarta.servlet.http.HttpServletRequest request)
                                                            throws IOException

      Handles '/daemondownload' (downloading specific daemon log file) request.
      Throws:
        `IOException`

    - #### search

          @GET
          @Path("/search")
          public jakarta.ws.rs.core.Response search​(@Context
                                                    jakarta.servlet.http.HttpServletRequest request)
                                             throws IOException

      Handles '/search' (searching from specific worker or daemon log file) request.
      Throws:
        `IOException`

    - #### deepSearch

          @GET
          @Path("/deepSearch/{topoId}")
          public jakarta.ws.rs.core.Response deepSearch​(@PathParam("topoId")
                                                        String topologyId,
                                                        @Context
                                                        jakarta.servlet.http.HttpServletRequest request)
                                                 throws IOException

      Handles '/deepSearch' request.
      Throws:
        `IOException`